{
  "name": "@prisme.ai/app-run-code-settings",
  "version": "0.0.1",
  "description": "Configure run code app block",
  "keywords": [
    "prisme.ai",
    "blocks"
  ],
  "license": "MIT",
  "author": "Hadrien Lanneau",
  "main": "src/index.ts",
  "browser": "dist/main.js",
  "scripts": {
    "lint:tsc": "tsc --noEmit",
    "run-dev-server": "cross-env NODE_ENV=development webpack-dev-server --config webpack-dev-server.config.js",
    "clean": "rimraf ./dist/",
    "build": "npm run clean; cross-env NODE_ENV=production webpack --mode production",
    "start": "npm run run-dev-server"
  },
  "dependencies": {
    "@ant-design/icons": "^4.7.0",
    "@prisme.ai/blocks": "^1.0.7",
    "@prisme.ai/design-system": "^1.0.7",
    "@prisme.ai/sdk": "^0.0.2",
    "i18next": "^21.6.12",
    "react-i18next": "^11.15.5",
    "tslib": "^2.3.1"
  },
  "devDependencies": {
    "@babel/cli": "^7.17.0",
    "@babel/core": "^7.17.2",
    "@babel/plugin-proposal-class-properties": "^7.16.7",
    "@babel/plugin-transform-runtime": "^7.17.0",
    "@babel/preset-env": "^7.16.11",
    "@babel/preset-react": "^7.16.7",
    "@babel/preset-typescript": "7.16.7",
    "@babel/runtime": "^7.17.2",
    "@typescript-eslint/eslint-plugin": "^5.25.0",
    "@typescript-eslint/parser": "^5.25.0",
    "babel-loader": "^8.2.3",
    "concurrently": "^7.0.0",
    "copy-webpack-plugin": "^10.2.4",
    "core-js": "^3.21.0",
    "cross-env": "^7.0.3",
    "css-loader": "^6.6.0",
    "eslint": "^8.15.0",
    "eslint-plugin-react": "^7.30.0",
    "eslint-plugin-react-hooks": "^4.5.0",
    "html-webpack-plugin": "^5.5.0",
    "mock-block-dock": "0.0.5",
    "prettier": "^2.5.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "regenerator-runtime": "^0.13.9",
    "rimraf": "^3.0.2",
    "style-loader": "^3.3.1",
    "typescript": "^4.5.5",
    "typescript-json-schema": "^0.53.0",
    "url-loader": "^4.1.1",
    "webpack": "^5.68.0",
    "webpack-assets-manifest": "^5.1.0",
    "webpack-bundle-analyzer": "^4.5.0",
    "webpack-cli": "^4.9.2",
    "webpack-dev-server": "^4.7.4"
  },
  "peerDependencies": {
    "react": "^17.0.2",
    "react-dom": "^17.0.2"
  }
}
